Get import log checklist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/import-log-checklists/{importLogChecklistId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • scenarioId integer(int64) Required
  • projectId integer(int64) Required
  • importLogId integer(int64) Required
  • importLogChecklistId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • checklistName string
    • locked boolean
    • autoCheckComplete boolean
    • importLogChecklistId integer(int64)
    • importLogId integer(int64)
    • checklistId integer(int64)
    • importLogChecklistSectionResponses array[object]
      Hide importLogChecklistSectionResponses attributes Show importLogChecklistSectionResponses attributes object
      • sectionName string
      • checklistId integer(int64)
      • checklistSectionId integer(int64)
      • importLogChecklistItemResponses array[object]
        Hide importLogChecklistItemResponses attributes Show importLogChecklistItemResponses attributes object
        • value string

          Values are UNDEFINED, YES, or NO.

        • description string
        • importLogChecklistItemId integer(int64)
        • checklistSectionItemId integer(int64)
        • autoCheckType string

          Values are ACTIVITY_FILTER, ACTIVITY_CODE_TYPES_EXIST, CALENDARS_EXIST, CHANGES, CONTRACTUAL_COMPLETION_VALIDATION, COST_BASED, DATA_DATE_VALIDATION, FILE_FORMAT_VALIDATION, QUALITY_METRIC, or SCHEDULE_IS_COST_LOADED.

        • autoCheckConditions string
        • importLogChecklistItemDetails array[object]
          Hide importLogChecklistItemDetails attributes Show importLogChecklistItemDetails attributes object
          • detail string
          • importLogChecklistItemId integer(int64)
GET /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/import-log-checklists/{importLogChecklistId}
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/import-log-checklists/{importLogChecklistId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "checklistName": "string",
  "locked": true,
  "autoCheckComplete": true,
  "importLogChecklistId": 42,
  "importLogId": 42,
  "checklistId": 42,
  "importLogChecklistSectionResponses": [
    {
      "sectionName": "string",
      "checklistId": 42,
      "checklistSectionId": 42,
      "importLogChecklistItemResponses": [
        {
          "value": "UNDEFINED",
          "description": "string",
          "importLogChecklistItemId": 42,
          "checklistSectionItemId": 42,
          "autoCheckType": "ACTIVITY_FILTER",
          "autoCheckConditions": "string",
          "importLogChecklistItemDetails": [
            {
              "detail": "string",
              "importLogChecklistItemId": 42
            }
          ]
        }
      ]
    }
  ]
}